gsm48_service_request Struct Reference

`#include <gsm_04_08.h>`

## Data Fields

uint8_t | cipher_key_seq: 4
uint8_t | cm_service_type: 4
uint32_t | classmark
uint8_t | mi_len
uint8_t | mi [0]

## Field Documentation

## cipher_key_seq

uint8_t gsm48_service_request::cipher_key_seq

## classmark

uint32_t gsm48_service_request::classmark

## cm_service_type

uint8_t gsm48_service_request::cm_service_type

## mi

uint8_t gsm48_service_request::mi[0]

## mi_len

uint8_t gsm48_service_request::mi_len

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/protocol/gsm_04_08.h